// code for page 139, no JQuery, with cases 1, 2, 3 filled in
// so final version for chapter 4
// No "tags" for todos, because they are not covered until Chap. 5.
"use strict";
let toDos = [
    "Finish writing",
    "Take Gracie",
    "Get Groceries"
];

document.querySelectorAll(".tabs a span").forEach(function (element) {
    // Code for page 139-140, to finish Chap. 4 Amazeriffic:
    element.addEventListener("click", function () {
        event.preventDefault();
        document.querySelectorAll(".tabs span").forEach(function (element) {
            element.classList.remove("active");
        });
        element.classList.add("active");
        document.querySelector("main .content").innerHTML = "";
        console.log("TAB clicked: " + element.innerHTML);
        let content;
        if (element.parentElement.matches(":nth-child(1)")) {
            console.log("in newest");
            // newest first, so we have to go through
            // the array backwards
            content = document.createElement("ul");
            for (let i = toDos.length - 1; i >= 0; i--) {
                content.innerHTML += "<li>" + toDos[i] + "</li>";
            }

        } else
        if (element.parentElement.matches(":nth-child(2)")) {
            content = document.createElement("ul");
            toDos.forEach(function (todo) {
                content.innerHTML += "<li>" + todo + "</li>";
            });
        } else if (element.parentElement.matches(":nth-child(3)")) {
            // input a new to-do
            let input = document.createElement("input");
            let button = document.createElement("button");
            button.innerHTML = "+";
            button.addEventListener("click", function () {
                if (input.value !== "") {
                    toDos.push(input.value);
                    input.value = "";
                }
            });
            content = document.createElement("div");
            content.appendChild(input);
            content.appendChild(button);
        }
        document.querySelector("main .content").append(content);
    });
});
// simulate a click to fill in first-child content
document.querySelector(".tabs a:first-child span").click();