"use strict";
// Code for page 138
// Here we number the elements as we set up the click handlers
// by having a variable (myIndex) that is local to the click handler
// and initialized from a counter variable in the outer context
// (This also works with var instead of let, since var variables are
// local to their functions)
let childIndex = 1;
document.querySelectorAll(".tabs span").forEach(function (element) {
    let myIndex = childIndex++;  // capture index for this listener
    element.addEventListener("click", function () {
        event.preventDefault();
        document.querySelectorAll(".tabs span").forEach(function (element) {
            element.classList.remove("active");
        });
        element.classList.add("active");
        document.querySelector("main .content").innerHTML = "";
        console.log("TAB clicked, #" + myIndex);
    });
});
